summaryrefslogtreecommitdiff
path: root/source4/script/mkrelease.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2007-01-26 04:37:06 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:44:21 -0500
commita3c2bc4ba012cfa2827cff91105d7d69c62dc972 (patch)
tree77dc1c133c9c78f7237d736a3e0be8accd7485c3 /source4/script/mkrelease.sh
parent4a13d192979d4ab92142df84a1493b3aa4b1f4a4 (diff)
downloadsamba-a3c2bc4ba012cfa2827cff91105d7d69c62dc972.tar.gz
samba-a3c2bc4ba012cfa2827cff91105d7d69c62dc972.tar.bz2
samba-a3c2bc4ba012cfa2827cff91105d7d69c62dc972.zip
r21026: Add a helpful script to do the things we need to do to make a release
tarball. Andrew Bartlett (This used to be commit 59752290438f9a1a10d81f798e1e9746508e4d5a)
Diffstat (limited to 'source4/script/mkrelease.sh')
-rwxr-xr-xsource4/script/mkrelease.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/source4/script/mkrelease.sh b/source4/script/mkrelease.sh
new file mode 100755
index 0000000000..0df4edb1d7
--- /dev/null
+++ b/source4/script/mkrelease.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+FROM=$1
+VERSION=$2
+
+svn export $FROM samba-$VERSION
+
+( cd samba-$VERSION || exit 1
+ (cd source && ./autogen.sh ) || exit 1
+ rm -rf webapps/qooxdoo-*-sdk/frontend/framework/.cache || exit 1
+) || exit 1
+
+tar -zcf samba-$VERSION.tar.gz samba-$VERSION